%def_with pcf
%def_with type1
%def_with truetype
%def_enable compress

%{?_with_pcf: %{?_without_pcf: %{error: both _with_pcf and _without_pcf}}}
%{?_with_type1: %{?_without_type1: %{error: both _with_type1 and _without_type1}}}
%{?_with_truetype: %{?_without_truetype: %{error: both _with_truetype and _without_truetype}}}
%{?_enable_compress: %{?_disable_compress: %{error: both _enable_compress and _disable_compress}}}

Summary: Free X11 fonts (BDF format) for all characters that Emacs 20 can handle
Name: intlfonts
Version: 1.2.1
Release: alt1
Source0: ftp://ftp.gnu.org/gnu/intlfonts/%name-%version.tar.gz
License: GPL
Group: Editors
BuildArch: noarch
%if_with pcf
BuildRequires: XFree86-utils
%endif
%if_with truetype
BuildRequires: freetype
%endif
Requires: chkfontpath fontconfig
Requires: emacs => 20

%description
This package contains free X11 fonts (BDF format) for all characters
that Emacs 20 can handle.

%description -l ru_RU.KOI8-R
       BDF  X11, 
    ,    Emacs 20.
 ,     
(%_sysconfdir/X11/app-defaults/Emacs)    
  . ,   ,  
  Emacs.ap,      .

%description -l uk_UA.KOI8-U
  ͦ צΦ   Ԧ BDF  X11, Ҧ ͦ
 ¦ Ӧ , ȦΦ   Emacs 20. 
æ,  Ʀæ   
(%_sysconfdir/X11/app-defaults/Emacs)    æ
 Ҧ Ԧ. Ҧ, Ҧ  Φ,  
 ̦ Emacs.ap,    Ҧ  æ.

%prep
%setup -q

%build
%configure \
    --with-fontdir=%_x11fontsdir/emacs \
    --with-bdf=yes \
    %{?_enable_compress:--enable-compress=gzip}%{?_disable_compress:--enable-compress=no} \
    %{?_with_pcf:--with-pcf=yes}%{?_without_pcf:--with-pcf=no} \
    %{?_with_type1:--with-type1=yes}%{?_without_type1:--with-type1=no} \
    %{?_with_truetype:--with-truetype=yes}%{?_without_truetype:--with-truetype=no}
%make
%__cat > intlfonts.el <<EOF
;; BDF fonts for printing
(require 'ps-mule)       ;; needed for setting some variables below
(setq ps-multibyte-buffer
      'bdf-font
       ps-mule-font-info-database ps-mule-font-info-database-bdf
       bdf-directory-list
       '("%_x11fontsdir/emacs/bdf"))
EOF

%install
%__mkdir_p $RPM_BUILD_ROOT/%_x11fontsdir/emacs
%make fontdir=$RPM_BUILD_ROOT/%_x11fontsdir/emacs install
%__mkdir_p $RPM_BUILD_ROOT/%_sysconfdir/emacs/site-start.d
%__install -m644 intlfonts.el $RPM_BUILD_ROOT/%_sysconfdir/emacs/site-start.d/
%if_with truetype
    pushd $RPM_BUILD_ROOT/%_x11fontsdir/emacs/TrueType
    %_sbindir/ttmkfdir -o ./fonts.dir
    %__ln_s %_sysconfdir/X11/encodings.dir encodings.dir
    touch fonts.cache-1
    popd
%endif

%post
%if_with pcf
    %_sbindir/chkfontpath -q -a %_x11fontsdir/emacs
%endif
%if_with truetype
    %_bindir/fc-cache %_x11fontsdir/emacs/TrueType
    %_sbindir/chkfontpath -q -a %_x11fontsdir/emacs/TrueType
%endif
if %_bindir/test -e %_sysconfdir/X11/Xresources; then
    %__subst 's/^\(Emacs.default.attributeFamily:\)/\!\1/gi' %_sysconfdir/X11/Xresources
fi
if %_bindir/test -e %_sysconfdir/X11/app-defaults/Emacs; then
    %__subst 's/^\!\(Emacs\.Font: fontset-\)/\1/gi' %_sysconfdir/X11/app-defaults/Emacs
    %__subst 's/^\!\(Emacs\.Fontset-[0-3]:\)/\1/gi' %_sysconfdir/X11/app-defaults/Emacs
    STR=`%__grep -i -e '^Emacs\.Font: fontset-' %_sysconfdir/X11/app-defaults/Emacs`
    if %_bindir/test -z "$STR"; then
        echo "Emacs.Font: Fontset-16" >> %_sysconfdir/X11/app-defaults/Emacs
    fi
    STR=`%__grep -i -e '^Emacs\.Fontset-0:' %_sysconfdir/X11/app-defaults/Emacs`
    if %_bindir/test -z "$STR"; then
        echo "Emacs.Fontset-0: -etl-*-medium-r-normal-*-14-*-*-*-*-*-fontset-14" >> %_sysconfdir/X11/app-defaults/Emacs
    fi
    STR=`%__grep -i -e '^Emacs\.Fontset-1:' %_sysconfdir/X11/app-defaults/Emacs`
    if %_bindir/test -z "$STR"; then 
        echo "Emacs.Fontset-1: -etl-*-medium-r-normal-*-16-*-*-*-*-*-fontset-16" >> %_sysconfdir/X11/app-defaults/Emacs
    fi
    STR=`%__grep -i -e '^Emacs\.Fontset-2:' %_sysconfdir/X11/app-defaults/Emacs`
    if %_bindir/test -z "$STR"; then
        echo "Emacs.Fontset-2: -etl-*-medium-r-normal-*-18-*-*-*-*-*-fontset-18" >> %_sysconfdir/X11/app-defaults/Emacs
    fi
    STR=`%__grep -i -e '^Emacs\.Fontset-3:' %_sysconfdir/X11/app-defaults/Emacs`
    if %_bindir/test -z "$STR"; then
        echo "Emacs.Fontset-3: -etl-*-medium-r-normal-*-24-*-*-*-*-*-fontset-24" >> %_sysconfdir/X11/app-defaults/Emacs
    fi
else
    %__cat > %_sysconfdir/X11/app-defaults/Emacs <<EOF
Emacs.Font: Fontset-16
Emacs.Fontset-0: -etl-*-medium-r-normal-*-14-*-*-*-*-*-fontset-14
Emacs.Fontset-1: -etl-*-medium-r-normal-*-16-*-*-*-*-*-fontset-16
Emacs.Fontset-2: -etl-*-medium-r-normal-*-18-*-*-*-*-*-fontset-18
Emacs.Fontset-3: -etl-*-medium-r-normal-*-24-*-*-*-*-*-fontset-24
EOF
fi

%triggerpostun -- %name < 1.2.1
%if_with pcf
    %_sbindir/chkfontpath -q -a %_x11fontsdir/emacs ||:
%endif
%if_with truetype
    %_bindir/fc-cache %_x11fontsdir/emacs/TrueType
    %_sbindir/chkfontpath -q -a %_x11fontsdir/emacs/TrueType ||:
%endif
if %_bindir/test -e %_sysconfdir/X11/Xresources; then
    %__subst 's/^\(Emacs.default.attributeFamily:\)/\!\1/gi' %_sysconfdir/X11/Xresources
fi
if %_bindir/test -e %_sysconfdir/X11/app-defaults/Emacs; then
    %__subst 's/^\!\(Emacs\.Font: fontset-\)/\1/gi' %_sysconfdir/X11/app-defaults/Emacs
    %__subst 's/^\!\(Emacs\.Fontset-[0-3]:\)/\1/gi' %_sysconfdir/X11/app-defaults/Emacs
fi

%postun
if [ "$1" = "0" ]; then
    %if_with pcf
        %_sbindir/chkfontpath -q --first -r %_x11fontsdir/emacs ||:
    %endif
    %if_with truetype
        %_sbindir/chkfontpath -q -r %_x11fontsdir/emacs/TrueType ||:
    %endif
    if %_bindir/test -e %_sysconfdir/X11/Xresources; then
        %__subst 's/^\!\(Emacs.default.attributeFamily:\)/\1/gi' %_sysconfdir/X11/Xresources
    fi
    if %_bindir/test -e %_sysconfdir/X11/app-defaults/Emacs; then
        %__subst 's/^\(Emacs\.Font: fontset-\)/\!\1/gi' %_sysconfdir/X11/app-defaults/Emacs
        %__subst 's/^\(Emacs\.Fontset-[0-3]:\)/\!\1/gi' %_sysconfdir/X11/app-defaults/Emacs
    fi
fi

%files
%doc NEWS README ChangeLog Emacs.ap
%_x11fontsdir/emacs
%config(noreplace) %_sysconfdir/emacs/site-start.d/intlfonts.el 

%changelog
* Thu Feb 12 2004 Serhii Hlodin <hlodin@altlinux.ru> 1.2.1-alt1
- New release
- Fixed BUG#3678

* Thu Apr 24 2003 Serhii Hlodin <hlodin@altlinux.ru> 1.2-alt2
- Moved to editors group and remove requires to essential packages

* Wed Apr 09 2003 Serhii Hlodin <hlodin@altlinux.ru> 1.2-alt1
- Initial build

